For the complete documentation index, see llms.txt. This page is also available as Markdown.

Builds

Get a specific build by its unique identifier.

get

Get a specific build by its unique identifier.

Authorizations
Path parameters
buildIdstringRequired

Unique identifier for the build.

Example: 42fra5cruvn7fuwv673ikaujqe
Responses
200

OK

application/json
idstringRequired

The unique identifier for the build.

Example: b_eeWohT2piec0
appIdstringOptional

The unique identifier for the app build. On Android this is the package name, on iOS this is the bundle identifier.

Example: com.sample.appId
platformstring · enumOptionalExample: iosPossible values:
namestringOptional

The app name, as specified by the specific build. This is the CFBundleDisplayName on iOS and the application label on Android.

Example: My App
iconUrlstring · uriOptional

The app icon, as specified by the specific build.

Example: https://appetize.io/images/icon.png
versionNamestringOptional

The version name, as specified by the build. In Android this is the versionName, in iOS this is the CFBundleShortVersionString.

Example: 1.0.0
buildNumberstringOptional

The build number, as specified by the build. In Android this is the versionCode, in iOS this is the CFBundleVersion.

Example: 1
tagsstring[]Optional

The tags associated with the app version.

Example: ["tag1","tag2"]
notestringOptional

The note associated with the app version.

Example: This is a note
createdstring · date-timeRequired

The date the build was created.

Example: 2020-01-01T00:00:00.000Z
createdBystringOptional

The user who created the build.

Example: user@appetize.io
updatedstring · date-timeOptional

The date the build was last updated.

Example: 2020-01-01T00:00:00.000Z
updatedBystringOptional

The user who last updated the build.

Example: user@appetize.io
lastPlayedstring · date-timeOptional

The time the build was last played.

Example: 2020-01-01T00:00:00.000Z
metadataone ofOptional

The platform specific metadata associated with the build.

or
get/v2/builds/{buildId}

Delete Build

delete

Delete a build by its unique identifier.

Authorizations
Path parameters
buildIdstringRequired

The unique identifier for the build.

Example: b_zxico23n890adf
Responses
204

Build deleted

application/json
objectOptional
delete/v2/builds/{buildId}

Updates an existing build.

patch

Update a build by its unique identifier.

Authorizations
Path parameters
buildIdstringRequired

The unique identifier for the build.

Example: b_zxico23n890adf
Body
and
anyOptional
or
Responses
200

OK

application/json
idstringRequired

The unique identifier for the build.

Example: b_eeWohT2piec0
appIdstringOptional

The unique identifier for the app build. On Android this is the package name, on iOS this is the bundle identifier.

Example: com.sample.appId
platformstring · enumOptionalExample: iosPossible values:
namestringOptional

The app name, as specified by the specific build. This is the CFBundleDisplayName on iOS and the application label on Android.

Example: My App
iconUrlstring · uriOptional

The app icon, as specified by the specific build.

Example: https://appetize.io/images/icon.png
versionNamestringOptional

The version name, as specified by the build. In Android this is the versionName, in iOS this is the CFBundleShortVersionString.

Example: 1.0.0
buildNumberstringOptional

The build number, as specified by the build. In Android this is the versionCode, in iOS this is the CFBundleVersion.

Example: 1
tagsstring[]Optional

The tags associated with the app version.

Example: ["tag1","tag2"]
notestringOptional

The note associated with the app version.

Example: This is a note
createdstring · date-timeRequired

The date the build was created.

Example: 2020-01-01T00:00:00.000Z
createdBystringOptional

The user who created the build.

Example: user@appetize.io
updatedstring · date-timeOptional

The date the build was last updated.

Example: 2020-01-01T00:00:00.000Z
updatedBystringOptional

The user who last updated the build.

Example: user@appetize.io
lastPlayedstring · date-timeOptional

The time the build was last played.

Example: 2020-01-01T00:00:00.000Z
metadataone ofOptional

The platform specific metadata associated with the build.

or
patch/v2/builds/{buildId}

Get builds

get

List all builds in the account, with associated metadata. The default page size is 100 items

Authorizations
Query parameters
appIdstringOptional

The unique identifier for the app build. On Android this is the package name, on iOS this is the bundle identifier.

Example: com.sample.appId
buildIdstringOptional

The unique identifier for the build.

Example: 42fra5cruvn7fuwv673ikaujqe
platformstring · enumOptional

The platform the app targets.

Example: iosPossible values:
buildNumberinteger · int32Optional

The build number, as specified by the build. In Android this is the versionCode, in iOS this is the CFBundleVersion.

Example: 1
versionNamestringOptional

The version name, as specified by the build. In Android this is the versionName, in iOS this is the CFBundleShortVersionString.

Example: 1.0.0
tagsstringOptional

The tags to filter by. Comma separated

Example: tag1,tag2
limitinteger · int32 · min: 1 · max: 200Optional

The number of items to return. Default is 100.

Example: 100
pageNumberinteger · int32 · min: 1Optional

The page number to return. Default is 1.

Example: 1
Responses
200

OK

application/json
totalinteger · int32OptionalExample: 25
nextPagenumber · int32 · nullableOptionalExample: 2
get/v2/builds

Upload a new build

post

Upload a new build to Appetize. This will create a new app if one does not already exist, or update an existing app with a new build version. You can upload a file via a url (application/json), or submit your file directly (multipart/form). Note that the build's metadata (ie. appId) is updated asynchronously after the request completes.

Authorizations
Body
urlstringRequired

A publicly accessible link to your .zip, .tar.gz, or .apk file.

Example: https://example.com/some_app.apk
platformstring · enumRequired

Platform the app targets.

Example: androidPossible values:
tagsstring[]Optional

Tags for this specific build. Useful for identifying & filtering a certain build. You can add up to 20 tags, each with up to 20 characters.

Default: []Example: ["beta"]
Responses
200

OK

application/json
idstringRequired

Unique identifier for the build.

Example: b_f7zjgmmchdbr6htrpfsr6o4iky
createdstring · date-timeRequired

The date the build was created.

Example: 2020-01-01T00:00:00.000Z
createdBystringOptional

The user who created the build.

Example: user@appetize.io
updatedstring · date-timeOptional

The date the build was last updated.

Example: 2020-01-01T00:00:00.000Z
updatedBystringOptional

The user who last updated the build.

Example: user@appetize.io
notestringOptional

A note for your own purposes, will appear on your management dashboard.

Example: Some note
tagsstring[]Optional

The tags associated with the app version.

Example: ["tag1","tag2"]
post/v2/builds

Get build icon by its unique identifier

get

Get build icon by its unique identifier

Authorizations
Path parameters
buildIdstringRequired

Unique identifier for the build.

Example: 42fra5cruvn7fuwv673ikaujqe
Responses
307

Redirect to the icon image file

get/v2/builds/{buildId}/icon
307

Redirect to the icon image file

No content

Last updated